> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/cidr-block/describeipv6cidrs.md).

# DescribeIpv6Cidrs

## 1. API Description

This API (DescribeIpv6Cidrs) is used to query IPv6 CIDR block information in the account. You can filter by CIDR ID, region, name, or address block. Supports tag-based filtering and pagination.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                            | Description                                                                                          |
| --------------- | -------- | --------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| cidrIds         | No       | Array of String                                                 | Filter by one or more CIDR block IDs.                                                                |
| regionId        | No       | String                                                          | Filter by the region ID where the CIDR block is located.                                             |
| name            | No       | String                                                          | Filter by CIDR block name. Fuzzy search is supported.                                                |
| cidrBlock       | No       | String                                                          | Filter by CIDR block address.                                                                        |
| asn             | No       | Integer                                                         | Filter by ASN.                                                                                       |
| resourceGroupId | No       | String                                                          | Filter by resource group ID.                                                                         |
| pageSize        | No       | Integer                                                         | <p>The returned page size. Default value: 20. Maximum value: 1000.</p><p>Value range: \[1, 1000]</p> |
| pageNum         | No       | Integer                                                         | <p>Number of pages returned.</p><p>Value range: \[1, +)</p><p>Default value: 1</p>                   |
| tagKeys         | No       | Array of String                                                 | <p>Search by tag key.</p><p>You can query up to 20 tag keys in each request.</p>                     |
| tags            | No       | Array of [Tag](/api-reference/compute/zec/datastructure.md#tag) | <p>Search by tag.</p><p>You can query up to 20 tags in each request.</p>                             |

## 3. Output Parameters

| Parameter Name | Type                                                                              | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                           | Number of resources meeting the filtering conditions.                                                                 |
| dataSet        | Array of [Ipv6CidrInfo](/api-reference/compute/zec/datastructure.md#ipv6cidrinfo) | Data for the list of IPv6 CIDR blocks.                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the list of CIDR blocks within `2400:8a00::/28`.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIpv6Cidrs
<Common Request Params>

Request:
{
    "cidrIds": ["xxx"],
    "regionId": "asia-east-1",
    "cidrBlock": "2400:8a00::/28",
    "pageSize": 10,
    "pageNum": 1
}

Response:
{
    "requestId": "T9CBB339D-5562-4451-81CF-31F10E6638B8",
    "response": {
        "dataSet": [
            {
                "asn": 62610,
                "cidrBlock": "2400:8a00::/28",
                "cidrId": "<cidrId>",
                "createTime": "2026-04-29T12:23:45Z",
                "name": "2400:8a00::/28",
                "netmask": 28,
                "networkLineType": "PremiumBGP",
                "nicIds": [
                    "<nicId1>",
                    "<nicId2>"
                ],
                "poolId": "<poolId>",
                "regionId": "asia-east-1",
                "resourceGroup": {
                    "resourceGroupId": "<resourceGroupId>",
                    "resourceGroupName": "<resourceGroupName>"
                },
                "source": "BYOIP",
                "status": "AVAILABLE",
                "subnetIds": [
                    "<subnetId1>",
                    "<subnetId2>"
                ],
                "asnObservation": {
                    "verificationStatus": "agreed",
                    "observedPrefix": "2400:8a00::/28",
                    "primarySource": "RIPE",
                    "primaryStatus": "FINISHED",
                    "primaryAsns": [62610]
                }
            }
        ],
        "requestId": "T9CBB339D-5562-4451-81CF-31F10E6638B8",
        "totalCount": 1
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
